Announcement

Collapse
No announcement yet.

Forum broken following MySQL Upgrade from 4.x to 5.1

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • nevf
    replied
    I was unable to repair the 'phrase' table which somehow broke during the MySQL Upgrade. After trying lots of things I was eventually able to restore the table from a backup I did before the upgrade. This was no fun, however it is a great relief to have it working again. Now it is time to upgrade vB.

    Oh and thanks to Lynne Sands from vBulletin Support Staff for all of her help.

    Leave a comment:


  • nevf
    started a topic Forum broken following MySQL Upgrade from 4.x to 5.1

    Forum broken following MySQL Upgrade from 4.x to 5.1

    I have just upgraded my server from MySQL V4.x to V5.1 and am getting various MySQL errors such as shown below. I have backups from before and after the MySQL upgrade.

    Can you give me some advice on how to resolve these MySQL errors. Will upgrading to vB3.5.3 fix this. I am considering upgrading to vB4, however reading the forums there seems to be a lot of people unhappy with it and suggesting to wait.

    If I try and Repair All Tables I get:
    "Check Error: Table upgrade required. Please do "REPAIR TABLE `access`" or dump/reload to fix it!

    If I try and repair the 'phrase' table I get:
    Error: Incorrect key file for table 'phrase'; try to repair it
    Error: Corrupt

    --------
    Database error in vBulletin 3.0.0 Release Candidate 3:

    Invalid SQL:
    SELECT varname, text
    FROM phrase
    WHERE phrasetypeid = 5000 AND
    languageid IN(-1, 0, 1)
    ORDER BY languageid ASC

    mysql error: Incorrect key file for table 'phrase'; try to repair it

    mysql error number: 1034
    -----------

    Thanks,
    Neville
Loading...
Working...
X